EDocParserInternal::DeflateStruct Struct Reference

very low structure to help uncompress data More...

## Public Member Functions

| DeflateStruct (long size, long initSize)
| constructor
bool | isEnd () const
| true if we have build of the data
bool | push (unsigned char c)
| push a new character
bool | sendDuplicated (int num, int depl)
| send a duplicated part of the data
bool | treatDelayed (unsigned char c)
| check if there is delayed char, if so treat them
bool | getBinaryData (librevenge::RVNGBinaryData &dt) const
| return the content of the block in dt

## Protected Attributes

long | m_toWrite
| the number of data that we need to write
std::vector< unsigned char > | m_data
| the resulting data
std::vector< unsigned char > | m_circQueue
| a circular queue
size_t | m_circQueuePos
| the position in the circular queue
int | m_numDelayed
| the number of character delayed
unsigned char | m_delayedChar
| the delayed character

## Private Member Functions

| DeflateStruct (DeflateStruct const &orig)=delete
DeflateStruct & | operator= (DeflateStruct const &orig)=delete

## Detailed Description

very low structure to help uncompress data

## Constructor & Destructor Documentation

## DeflateStruct() [1/2]

EDocParserInternal::DeflateStruct::DeflateStruct | ( | long | size,
|  | long | initSize )

inline

constructor

Referenced by DeflateStruct(), and operator=().

## DeflateStruct() [2/2]

EDocParserInternal::DeflateStruct::DeflateStruct | ( | DeflateStruct const & | orig | ) |

private delete

## Member Function Documentation

## getBinaryData()

bool EDocParserInternal::DeflateStruct::getBinaryData | ( | librevenge::RVNGBinaryData & | dt | ) | const

inline

return the content of the block in dt

Referenced by EDocParser::decodeZone().

## isEnd()

bool EDocParserInternal::DeflateStruct::isEnd | ( |  | ) | const

inline

true if we have build of the data

Referenced by EDocParser::decodeZone().

## operator=()

DeflateStruct & EDocParserInternal::DeflateStruct::operator= | ( | DeflateStruct const & | orig | ) |

private delete

## push()

bool EDocParserInternal::DeflateStruct::push | ( | unsigned char | c | ) |

inline

push a new character

Referenced by EDocParser::decodeZone(), and sendDuplicated().

## sendDuplicated()

bool EDocParserInternal::DeflateStruct::sendDuplicated | ( | int | num,
|  | int | depl )

send a duplicated part of the data

Referenced by EDocParser::decodeZone().

## treatDelayed()

bool EDocParserInternal::DeflateStruct::treatDelayed | ( | unsigned char | c | ) |

check if there is delayed char, if so treat them

Referenced by push().

## Member Data Documentation

## m_circQueue

std::vector<unsigned char> EDocParserInternal::DeflateStruct::m_circQueue

protected

a circular queue

Referenced by DeflateStruct(), push(), and sendDuplicated().

## m_circQueuePos

size_t EDocParserInternal::DeflateStruct::m_circQueuePos

protected

the position in the circular queue

Referenced by DeflateStruct(), push(), and sendDuplicated().

## m_data

std::vector<unsigned char> EDocParserInternal::DeflateStruct::m_data

protected

the resulting data

Referenced by DeflateStruct(), getBinaryData(), push(), and treatDelayed().

## m_delayedChar

unsigned char EDocParserInternal::DeflateStruct::m_delayedChar

protected

the delayed character

Referenced by DeflateStruct(), push(), and treatDelayed().

## m_numDelayed

int EDocParserInternal::DeflateStruct::m_numDelayed

protected

the number of character delayed

Referenced by DeflateStruct(), push(), and treatDelayed().

## m_toWrite

long EDocParserInternal::DeflateStruct::m_toWrite

protected

the number of data that we need to write

Referenced by DeflateStruct(), isEnd(), push(), and treatDelayed().

The documentation for this struct was generated from the following file:

- EDocParser.cxx